Foreman - Feature #33419
Feature # 33329 (New): Refactor fact parsers
Add fact parser registry
09/06/2021 11:00 AM - Dominik Matoulek

Status: Closed

Priority: Normal
Assignee: Dominik Matoulek
Category: Facts

Target version:

Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/g762,

https://github.com/theforeman/foreman/p

ull/8781
Description

Since the parsers are in core. It's a good idea to move registering of parsers to a separate component.

Associated revisions

Revision fcd63a38 - 09/22/2021 08:50 AM - Dominik Matoulek
Fixes #33419 - Introduce Fact Parser Registry

FactParser class has two purposes in current codebase. It acts as parent
for other fact parses (PuppetFactParser, AnsibleFactParser,
RhsmFactParser...) and also as a registry for registering parsers for
given type/key. This PR introduces FactParserRegistry under
Foreman::Plugin namespace. Thanks to that, the FactParser

can takes care only for facts!

History

#1 - 09/06/2021 11:01 AM - Dominik Matoulek

- Description updated

#2 - 09/06/2021 11:09 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Dominik Matoulek

- Pull request https://github.com/theforeman/foreman/pull/8762 added

#3 - 09/15/2021 01:07 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8781 added

#4 - 09/22/2021 08:50 AM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#5 - 09/22/2021 09:01 AM - Dominik Matoulek
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|fcd63a38456375144f15d174d8945e68615e0c1d.

#6 - 11/16/2021 10:07 AM - Amit Upadhye

- Category set to Facts
